%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so.*$
%global __requires_exclude ^libgnome-photos\\.so.*$

%define busname org.gnome.Photos

Name:		gnome-photos
Version:	44.0
Release:	%mkrel 1
Summary:	Access, organize and share your photos on GNOME

# GNOME Photos itself is GPLv3+, but the bundled libgd is LGPLv2+
License:	GPLv3+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	yelp-devel
BuildRequires:	pkgconfig(babl-0.1)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gegl-0.4)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libportal)
BuildRequires:	pkgconfig(libportal-gtk3)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(libdazzle-1.0)
Requires:	librsvg
Requires:	adwaita-icon-theme
Requires:	tracker
Requires:	tracker-miners
Requires:	gnome-settings-daemon

%description
Access, organize and share your photos on GNOME. A simple and elegant
replacement for using a file manager to deal with photos. Enhance, crop
and edit in a snap. Seamless cloud integration is offered through GNOME
Online Accounts.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -fr %{buildroot}%{_docdir}/*

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_bindir}/%{name}
%{_datadir}/applications/%{busname}.desktop
%{_iconsdir}/*/*/*/*.*
%{_metainfodir}/%{busname}.appdata.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/gnome-shell/search-providers/%{busname}.search-provider.ini
%{_libexecdir}/gnome-photos-thumbnailer
%{_libdir}/%{name}/


%changelog
* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954224
- drop obsolete patch
- update to 44.0

* Wed Feb 22 2023 daviddavid <daviddavid> 43.0-3.mga9
+ Revision: 1944883
- add upstream patch to accept both babl and babl-0.1
- update build dependency for pkgconfig(babl-0.1)

* Tue Sep 27 2022 wally <wally> 43.0-2.mga9
+ Revision: 1892761
- drop requires for gnome-online-miners (dead/archived by upstream)

* Thu Sep 22 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891657
- Update to 43.0
- Filter private library from Provides

* Sun Mar 20 2022 tv <tv> 42.0-2.mga9
+ Revision: 1802323
- Rebuild now that babl+gegl are "fixed" on armv7hl

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801609
- Update to 42.0

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710100
- new version 40.0
- drop tracker 3 patches (should be merged)

* Thu Sep 24 2020 tv <tv> 3.38.0-1.mga8
+ Revision: 1629745
- fix file list
- fix build with tracker3
- better description
- BR tracker-control-2.0
+ ovitters <ovitters>
- new version 3.38.0

* Mon Aug 24 2020 ovitters <ovitters> 3.37.91.1-1.mga8
+ Revision: 1618585
- new version 3.37.91.1

* Mon Aug 24 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1618446
- new version 3.37.91

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591706
- new version 3.37.2

* Wed May 20 2020 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1586451
- new version 3.34.2
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1531387
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 ovitters <ovitters> 1.mga8-current
+ Revision: 1510192
- new version 3.34.1

* Wed Sep 11 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439734
- new version 3.34.0

* Fri Aug 30 2019 daviddavid <daviddavid> 3.33.91-1.mga8
+ Revision: 1435305
- new version 3.33.91

* Tue Aug 20 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1430621
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392437
- Rebuild with meson 0.50.1

* Mon Mar 18 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1378641
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.91-1.mga7
+ Revision: 1373200
- new version 3.31.91
- switch to meson build system

* Mon Dec 10 2018 daviddavid <daviddavid> 3.30.1-2.mga7
+ Revision: 1340005
- add missing runtime dependency on tracker-miners (mga#23987)
- add also some others

* Thu Sep 27 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1308364
- new version 3.30.1

* Thu Sep 06 2018 ovitters <ovitters> 3.30.0-2.mga7
+ Revision: 1257510
- new version 3.30.0

* Sat Sep 01 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1256039
- new version 3.29.92

* Tue Aug 14 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251574
- new version 3.29.91

* Wed Jul 18 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244142
- new version 3.29.4

* Wed Jun 20 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1238447
- new version 3.29.3
- dropped merged patch 0001-build-Bump-minimum-GEGL-version-to-0.4.0.patch

* Sat May 05 2018 wally <wally> 3.28.0-2.mga7
+ Revision: 1226258
- add patch from upstream to build with gegl >= 0.4.0

* Thu Mar 15 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209603
- new version 3.28.0

* Mon Mar 12 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208482
- BR pkgconfig(libdazzle-1.0)
- fix filelist
- explain license
- fix license
+ ovitters <ovitters>
- new version 3.27.92

* Fri Feb 16 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201629
- new version 3.27.90

* Tue Jan 16 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1193896
- new version 3.27.4

* Thu Dec 14 2017 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1182542
- new version 3.26.3

* Fri Nov 03 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175664
- new version 3.26.2

* Tue Oct 03 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168004
- new version 3.26.1

* Wed Sep 20 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156347
- BR newer tracker
+ ovitters <ovitters>
- new version 3.26.0
- new version 3.25.92
- new version 3.25.91

* Wed May 10 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100054
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096419
- new version 3.24.1

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094443
- new version 3.24.0

* Tue Mar 07 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1089483
- new version 3.22.5

* Thu Feb 16 2017 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1086407
- new version 3.22.4

* Tue Jan 03 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1079876
- new version 3.22.3

* Sat Nov 05 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065471
- new version 3.22.2

* Thu Oct 06 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059196
- new version 3.22.1

* Tue Sep 27 2016 neoclust <neoclust> 3.22.0-2.mga6
+ Revision: 1057060
- Rebuild for armv7

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055701
- new version 3.22.0

* Mon Jun 27 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1037925
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001013
- new version 3.20.1

* Mon Mar 21 2016 tv <tv> 3.20.0-2.mga6
+ Revision: 993691
- bump release
+ ovitters <ovitters>
- new version 3.20.0

* Fri Mar 18 2016 tv <tv> 3.19.92-1.mga6
+ Revision: 992722
- drop merged patch
- new release

* Wed Mar 02 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983248
- new version 3.19.91
- new version 3.19.90
- dropped merged patch 2

* Fri Feb 12 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 959251
- add patch to fix CVE-2013-7447
- add patch to fix other potential g_malloc issues

* Wed Jan 27 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 928250
- new version 3.19.4
- dropped merged patch 1

* Mon Jan 04 2016 tv <tv> 3.19.3-1.mga6
+ Revision: 919341
- fix build with grilo-0.3
- fix build with grilo-0.3
- bump req on gegl
+ ovitters <ovitters>
- new version 3.19.3
- new version 3.19.2
- new version 3.19.1

* Sun Nov 08 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899112
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889933
- new version 3.18.1

* Fri Sep 25 2015 tv <tv> 3.18.0-2.mga6
+ Revision: 883597
- rebuild for new grilo

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882840
- new release

* Tue Sep 08 2015 fwang <fwang> 3.17.2-3.mga6
+ Revision: 874008
- drop unused files
+ tv <tv>
- rebuild for new libgrilo

* Fri Jul 24 2015 sander85 <sander85> 3.17.2-2.mga6
+ Revision: 856938
- Rebuild for new gnome-desktop3

* Wed Jul 08 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 852880
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836324
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796302
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743190
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 724591
- new version 3.14.0
- new version 3.13.92
- new version 3.13.91
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 656039
- new version 3.13.4

* Sun May 04 2014 wally <wally> 3.12.1-2.mga5
+ Revision: 619944
- require adwaita-icon-theme instead of old gnome-icon-theme
- clean BRs

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615118
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607840
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604409
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599973
- new version 3.11.91

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 595171
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584617
- new version 3.11.5

* Wed Feb 05 2014 ovitters <ovitters> 3.11.4-1.mga5
+ Revision: 583903
- new version 3.11.4

* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551977
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542211
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497099
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483916
- new version 3.10.0
- dropped merged patch 1

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480953
- add patch to fix desktop file
- new version 3.9.92

* Mon Sep 02 2013 ennael <ennael> 3.9.91-2.mga4
+ Revision: 474377
- Rebuild against new gnome-desktop3

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474344
- new version 3.9.91

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468795
- new version 3.9.90

* Thu Aug 01 2013 dams <dams> 3.9.5.1-1.mga4
+ Revision: 462306
- adds 'grilo-0.2' as BR
+ ovitters <ovitters>
- new version 3.9.5.1
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458376
- new version 3.9.4

* Mon May 27 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 428692
- imported package gnome-photos

